[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Bugs in unexpand(1) version 6.10

From: Mike Frysinger
Subject: Re: Bugs in unexpand(1) version 6.10
Date: Wed, 11 Feb 2009 12:37:52 -0500
User-agent: KMail/1.11.0 (Linux/2.6.28; KDE/4.2.0; x86_64; ; )

On Wednesday 11 February 2009 02:04:11 Jim Meyering wrote:
> Mike Frysinger <address@hidden> wrote:
> ...
> >> > i was thinking a common change to the version-etc module to add a
> >> > "packager" field rather than having every package out there allow
> >> > people to tweak PACKAGE_NAME.  what do you think of that ?
> >>
> >> Sounds sensible.
> >> The question then becomes whether to change version_etc
> >> (probably not), or to add a new interface that takes
> >> the additional parameter.
> >>
> >> Does anyone prefer to add a parameter to version_etc?
> >
> > i prefer modifying version_etc as this would go a long way in
> > acknowledging that end users are not the main consumer of software.  they
> > get it by way of distro packagers.
> >
> > however, i dont think it needs to modify the function prototype ?  if the
> > m4 set up a PACKAGE_PACKAGER define, the version_etc module could use
> > that.  if the person running configure doesnt specify the
> > --with-packager=... option, then  it wont show up in the output.
> That sounds even better.
> Post the patch!

one last question: where to put the string ?
$ ls --version
ls (GNU coreutils) 6.12
Packaged by ... some distro string here ...
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard Stallman and David MacKenzie.

and if no packager option was used, then that "Packaged by" line will be 
entirely omitted ...

reply via email to

[Prev in Thread] Current Thread [Next in Thread]